[med-svn] [Git][med-team/twopaco][master] 4 commits: Add missing copyright statement

Andreas Tille (@tille) gitlab at salsa.debian.org
Sun Feb 20 17:12:41 GMT 2022



Andreas Tille pushed to branch master at Debian Med / twopaco


Commits:
1265cdef by Andreas Tille at 2022-02-20T17:20:24+01:00
Add missing copyright statement

- - - - -
bc216ede by Andreas Tille at 2022-02-20T17:36:22+01:00
Add manpages

- - - - -
a05765e9 by Andreas Tille at 2022-02-20T17:36:34+01:00
Add build time test

- - - - -
46cb5f2e by Andreas Tille at 2022-02-20T18:12:10+01:00
Fix installation, build time test and add autopkgtest

- - - - -


10 changed files:

- + debian/README.test
- debian/copyright
- + debian/createmanpages
- + debian/examples
- + debian/graphdump.1
- + debian/manpages
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/twopaco.1


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/copyright
=====================================
@@ -38,32 +38,44 @@ License: BSD-4-clause
  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+Files: src/common/ngramhashing/mersennetwister.h
+Copyright: 1997 - 2002, Makoto Matsumoto and Takuji Nishimura,
+           2000 - 2003, Richard J. Wagner
+License: BSD-3-clause
+Comment: The original code included the following notice:
+ When you use this, send an email to: matumoto at math.keio.ac.jp
+ with an appropriate reference to your work.
+ .
+ It would be nice to CC: rjwagner at writeme.com and Cokus at math.washington.edu
+ when you write.
+
 Files: debian/*
 Copyright: 2022 Andreas Tille <tille at debian.org>
+License: BSD-3-clause
+
 License: BSD-3-clause
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  .
- 1. Redistributions of source code must retain the above copyright
-    notice, this list of conditions and the following disclaimer.
+   1. Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
  .
- 2. Redistributions in binary form must reproduce the above copyright
-    notice, this list of conditions and the following disclaimer in
-    the documentation and/or other materials provided with the
-    distribution.
+   2. Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
  .
- 3. Neither the name of the copyright holder nor the names of its
-    contributors may be used to endorse or promote products derived
-    from this software without specific prior written permission.
+   3. The names of its contributors may not be used to endorse or promote 
+      products derived from this software without specific prior written 
+      permission.
  .
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
- A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
- HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+ A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+ CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+ EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS


=====================================
debian/createmanpages
=====================================
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -x /usr/bin/help2man ]; then
+    echo "E: Missing /usr/bin/help2man, please install it from the cognate package."
+    exit 1
+fi
+
+if [ ! -n "$NAME" ]; then
+    NAME=`grep "^Description:" debian/control | sed 's/^Description: *//' | head -n1`
+fi
+
+if [ ! -n "$VERSION" ]; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`
+fi
+
+if [ ! -n "$PROGNAME" ]; then
+    PROGNAME=`grep "^Package:" debian/control | sed 's/^Package: *//' | head -n1`
+fi
+
+MANDIR=debian
+HELPOPTION=--help
+
+echo "PROGNAME: '$PROGNAME'"
+echo "NAME:     '$NAME'"
+echo "VERSION:  '$VERSION'"
+echo "MANDIR:   '$MANDIR'"
+echo "HELPOPTION: '$HELPOPTION'"
+
+mkdir -p $MANDIR
+
+
+AUTHOR=".SH AUTHOR\n \
+This manpage was written by $DEBFULLNAME for the Debian distribution and\n \
+can be used for any other usage of the program.\
+"
+
+# If program name is different from package name or title should be
+# different from package short description change this here
+progname=${PROGNAME}
+help2man --no-info --no-discard-stderr --help-option="$HELPOPTION" \
+         --name="$NAME" \
+            --version-string="$VERSION" ${progname} > $MANDIR/${progname}.1
+echo $AUTHOR >> $MANDIR/${progname}.1
+
+progname=graphdump
+help2man --no-info --no-discard-stderr --help-option="$HELPOPTION" \
+         --name="$NAME" \
+            --version-string="$VERSION" ${progname} > $MANDIR/${progname}.1
+echo $AUTHOR >> $MANDIR/${progname}.1
+
+echo "$MANDIR/*.1" > debian/manpages
+
+cat <<EOT
+Please enhance the help2man output in '$MANDIR/${progname}.1'.
+To inspect it, try 'nroff -man $MANDIR/${progname}.1'.
+If very unhappy, try passing the HELPOPTION as an environment variable.
+The following web page might be helpful in doing so:
+    http://liw.fi/manpages/
+EOT


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+example/*


=====================================
debian/graphdump.1
=====================================
@@ -0,0 +1,56 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.1.
+.TH GRAPHDUMP "1" "February 2022" "graphdump 0.9.4" "User Commands"
+.SH NAME
+graphdump \- build the compacted de Bruijn graph from many complete genomes
+.SH DESCRIPTION
+USAGE:
+.TP
+graphdump
+\fB\-k\fR <integer> [\-s <>] ... \fB\-f\fR <seq|group|dot|gfa1|gfa2|fasta>
+[\-\-prefix] [\-\-] [\-\-version] [\-h] <file name>
+.PP
+Where:
+.HP
+\fB\-k\fR <integer>,  \fB\-\-kvalue\fR <integer>
+.TP
+(required)
+Value of k
+.TP
+\fB\-s\fR <>,  \fB\-\-seqfile\fR <>
+(accepted multiple times)
+.IP
+sequences file name
+.HP
+\fB\-f\fR <seq|group|dot|gfa1|gfa2|fasta>,  \fB\-\-format\fR <seq|group|dot|gfa1|gfa2
+.IP
+|fasta>
+.TP
+(required)
+Output format
+.HP
+\fB\-\-prefix\fR
+.IP
+Add a prefix to segments in GFA (in case if you have genomes with
+identical FASTA headers)
+.HP
+\fB\-\-\fR,  \fB\-\-ignore_rest\fR
+.IP
+Ignores the rest of the labeled arguments following this flag.
+.HP
+\fB\-\-version\fR
+.IP
+Displays version information and exits.
+.HP
+\fB\-h\fR,  \fB\-\-help\fR
+.IP
+Displays usage information and exits.
+.IP
+<file name>
+.TP
+(required)
+input file name
+.IP
+This utility converts the binary output of TwoPaCo to another format
+.SH AUTHOR
+ This manpage was written by Andreas Tille for the Debian distribution and
+ can be used for any other usage of the program.


=====================================
debian/manpages
=====================================
@@ -0,0 +1 @@
+debian/*.1


=====================================
debian/rules
=====================================
@@ -11,7 +11,17 @@ include /usr/share/dpkg/default.mk
 %:
 	dh $@ --sourcedir=src
 
+override_dh_auto_test:
+	obj-*/graphconstructor/twopaco --test -f 34 example/example.fa
+	obj-*/graphconstructor/twopaco -f 20 -k 11 example/example.fa -o example/example.dbg
+	obj-*/graphdump/graphdump -f dot example/example.dbg -k 11 > example/example.dot
+
+override_dh_installexamples:
+	dh_installexamples --sourcedir=$(CURDIR)
+
+override_dh_installman:
+	dh_installman --sourcedir=$(CURDIR)
+
 # For some reason debian/not-installed does not work
 override_dh_missing:
 	dh_missing --list-missing
-


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+pkg=twopaco
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+twopaco --test -f 34 example.fa
+twopaco -f 20 -k 11 example.fa -o example.dbg
+graphdump -f dot example.dbg -k 11 > example.dot


=====================================
debian/twopaco.1
=====================================
@@ -0,0 +1,82 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.1.
+.TH TWOPACO "1" "February 2022" "twopaco 0.9.4" "User Commands"
+.SH NAME
+twopaco \- build the compacted de Bruijn graph from many complete genomes
+.SH DESCRIPTION
+USAGE:
+.TP
+twopaco
+{\-f <integer>|\-\-filtermemory <float>} [\-o <file name>] [\-\-test]
+[\-\-tmpdir <directory name>] [\-a <integer>] [\-t <integer>] [\-r
+<integer>] [\-q <integer>] [\-k <oddc>] [\-\-] [\-\-version] [\-h]
+<fasta files with genomes> ...
+.PP
+Where:
+.HP
+\fB\-f\fR <integer>,  \fB\-\-filtersize\fR <integer>
+.TP
+(OR required)
+Size of the filter
+.HP
+\fB\-\-\fR OR \fB\-\-\fR
+.HP
+\fB\-\-filtermemory\fR <float>
+.TP
+(OR required)
+Memory in GBs allocated for the filter
+.HP
+\fB\-o\fR <file name>,  \fB\-\-outfile\fR <file name>
+.IP
+Output file name prefix
+.HP
+\fB\-\-test\fR
+.IP
+Run tests
+.HP
+\fB\-\-tmpdir\fR <directory name>
+.IP
+Temporary directory name
+.HP
+\fB\-a\fR <integer>,  \fB\-\-abundance\fR <integer>
+.IP
+Vertex abundance threshold
+.HP
+\fB\-t\fR <integer>,  \fB\-\-threads\fR <integer>
+.IP
+Number of worker threads
+.HP
+\fB\-r\fR <integer>,  \fB\-\-rounds\fR <integer>
+.IP
+Number of computation rounds
+.HP
+\fB\-q\fR <integer>,  \fB\-\-hashfnumber\fR <integer>
+.IP
+Number of hash functions
+.HP
+\fB\-k\fR <oddc>,  \fB\-\-kvalue\fR <oddc>
+.IP
+Value of k
+.HP
+\fB\-\-\fR,  \fB\-\-ignore_rest\fR
+.IP
+Ignores the rest of the labeled arguments following this flag.
+.HP
+\fB\-\-version\fR
+.IP
+Displays version information and exits.
+.HP
+\fB\-h\fR,  \fB\-\-help\fR
+.IP
+Displays usage information and exits.
+.TP
+<fasta files with genomes>
+(accepted multiple times)
+.TP
+(required)
+FASTA file(s) with nucleotide sequences.
+.IP
+Program for construction of the condensed de Bruijn graph from complete
+genomes
+.SH AUTHOR
+ This manpage was written by Andreas Tille for the Debian distribution and
+ can be used for any other usage of the program.



View it on GitLab: https://salsa.debian.org/med-team/twopaco/-/compare/60ac058e17e331f89e5ed146bd9cdc5ff0a34304...46cb5f2e37e38493ee6f8cf606823f821bfe356a

-- 
View it on GitLab: https://salsa.debian.org/med-team/twopaco/-/compare/60ac058e17e331f89e5ed146bd9cdc5ff0a34304...46cb5f2e37e38493ee6f8cf606823f821bfe356a
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220220/a13378d5/attachment-0001.htm>


More information about the debian-med-commit mailing list